Subject: [multimob] questions for RFC5213

From: Aaron Feng <[email-masked]>
Date: Thu, 26 May 2011 08:50:49 +0800

Hi! I'm now studying PMIPv6, and I'm confused about whether PMIPv6 can
support multicast protocol and need some help. I tried to send multicast
data orginated by MN to the MAG, but without fowarding multicast data to the
LMA through LMA-MAG tunnel, MAG just discarded the multicast data packets
even though I had run the multicast protocol. Here's my question. In RFC
5213, it says "On receiving a packet from a mobile node connected to its
access link, to a destination that is not directly connected, the
packet MUST be forwarded to the local mobility anchor through the
bidirectional tunnel established between itself and the mobile node’s local
mobility anchor." According to it, maybe LMA will discard the multicast data
for not having multicast forwarding stare but the MAG should forward
packets. Does it mean PMIPv6 is just for unicast or the source code I used
isn't consistent with what you mean? And what is the rules of MAG fowarding
packets from MN?  I'm very appreciated for your help!

                                With best regards
                                                 Aaron

---

From: Hitoshi Asaeda <[email-masked]>
Date: Thu, 26 May 2011 15:08:24 +0900 (JST)

Aaron,

> support multicast protocol and need some help.

RFC5213 assumes unicast as the data transmission and does not
explicitly support IP multicast.
The multimob working group has been working for defining IP multicast
support for PMIPv6 (while the work in multimob is not limited to
PMIPv6). It'd be hence good to read the multimob mailing-list archive
and proposed I-Ds in the WG;
http://datatracker.ietf.org/wg/multimob/

> I tried to send multicast

Each LMA and MAG must have multicast forwarding state, by enabling a
routing (or proxy) protocols/functions. The several ideas have been
written in RFC and I-Ds.
BTW, you may want to consider "multicast source mobility". There is
also the discussion that mainly focuses on it.

> mobility anchor."

It depends on the condition.
This statement is not incorrect, of course. But to support IP
multicast, PMIPv6 also needs to have additional functions which create
and maintain multicast forwaring state.
The statement written in 5213 implies unicast data transmission and
does not include the discussion for such additional functions for
multicast support.

> According to it, maybe LMA will discard the multicast data

I don't know your detail configuration, but I think simply your PMIPv6
implementation does not support IP multicast.

Regards,
--
Hitoshi Asaeda

---

From: "Shuai Gao" <[email-masked]>
Date: Thu, 26 May 2011 14:32:22 +0800

Asaeda,	

======= 2011-05-26 14:09:06 您在来信中写道：=======

>explicitly support IP multicast. 

As you said, RFC5213 does not explicitly support IP multicast.  Does it mean that 
RFC 5213 also does not explicitly state that it does not support IP multicast?  

>routing (or proxy) protocols/functions. The several ideas have been
In my opinion, most of PMIPv6 implementations don't support  IP multicast.
Can we extend the PMIPv6 implementation to 
establising the multicast forwarding state at the MAG and LMA when a mobile node is attached?   
If we do so, does the implementation still comform to RFC 5213? 

>_______________________________________________
>multimob mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/multimob

= = = = = = = = = = = = = = = = = = = =

　　　　　　　　致
礼！

Shuai Gao
National Engineering Lab for Next Generation Internet Interconnection Devices
Beijing Jiaotong University
Beijing, China, 100044
[email-masked]
2011-05-26

---

From: Hitoshi Asaeda <[email-masked]>
Date: Thu, 26 May 2011 16:05:10 +0900 (JST)

> RFC 5213 also does not explicitly state that it does not support IP

It says nothing about IP multicast support, while protocols conforming
to IPv6 require IP multicat and hence you may see the word, multicast,
in it.

> In my opinion, most of PMIPv6 implementations don't support  IP multicast.

I think so, because there are no explicit specifications for IP
multicast support for PMIPv6.

> If we do so, does the implementation still comform to RFC 5213? 

There is no discussion about IP multicast in 5213.
Hence there is no conformance to 5213 regarding IP multicast support.
If the extension would follow the current or future RFCs, which will
be defined in this WG, then you may say the extension conforms to it
(or them).

Regards,
--
Hitoshi Asaeda

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Thu, 26 May 2011 09:26:19 +0200

Hi Aaron,

please have a look at http://www.rfc-editor.org/rfc/rfc6224.txt
for PMIPv6 multicast receivers

and

http://tools.ietf.org/html/draft-schmidt-multimob-pmipv6-base-source

for sources.

Your questions should be clearly answered there.

For general background, please also see
http://www.rfc-editor.org/rfc/rfc5757.txt

Best,

Thomas

On 26.05.2011 02:50, Aaron Feng wrote:
> data orginated by MN to the MAG, but without fowarding multicast data to
> the LMA through LMA-MAG tunnel, MAG just discarded the multicast data
> packets even though I had run the multicast protocol. Here's my
> question. In RFC 5213, it says "On receiving a packet from a mobile node
> connected to its access link, to a destination that is not directly
> connected, the packet MUST be forwarded to the local mobility anchor
> through the bidirectional tunnel established between itself and the
> mobile node’s local mobility anchor." According to it, maybe LMA will
> discard the multicast data for not having multicast forwarding stare but
> the MAG should forward packets. Does it mean PMIPv6 is just for unicast
> or the source code I used isn't consistent with what you mean? And what
> is the rules of MAG fowarding packets from MN?  I'm very appreciated for
> your help!
>                                  With best regards
>                                                   Aaron
>
>
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 26 May 2011 08:32:47 -0700 (PDT)

Hi Aaron,

You must have tried an implementation of the base spec of RFC 5213 which 
certainly doesn't support multicast as several people indicated to you.

Multimob WG so far developed a solution to enable MN to receive multicast data 
and it is in RFC 6224. We don't know if it has been implemented somewhere.

It seems that you are interested in source mobility, i.e. MN is the multicast 
source. Multimob is chartered to develop a solution and there are a few drafts 
on this, one is draft-schmidt-multimob-pmipv6-base-source and another is 
draft-zhang-multimob-msm. We need to decide in the coming months on a solution 
to source mobility. 

Your input in terms of reviews, etc. will be much appreciated.

Regards,

Behcet

> Hi! I'm now studying PMIPv6, and I'm confused about whether PMIPv6 can support 

>multicast protocol and need some help. I tried to send multicast data orginated 

>by MN to the MAG, but without fowarding multicast data to the LMA through 
>LMA-MAG tunnel, MAG just discarded the multicast data packets even though I had 

>run the multicast protocol. Here's my question. In RFC 5213, it says "On 
>receiving a packet from a mobile node connected to its access link, to a 
>destination that is not directly connected, the packet MUST be forwarded to the 

>local mobility anchor through the bidirectional tunnel established between 
>itself and the mobile node’s local mobility anchor." According to it, maybe LMA 

>will discard the multicast data for not having multicast forwarding stare but 
>the MAG should forward packets. Does it mean PMIPv6 is just for unicast or the 
>source code I used isn't consistent with what you mean? And what is the rules of 
>
>MAG fowarding packets from MN?  I'm very appreciated for your help! 
> 
>                                With best regards
>                                                 Aaron

---

From: Aaron Feng <[email-masked]>
Date: Fri, 27 May 2011 21:10:17 +0800

Hi, Asaeda
 I agree with you. There's no explicit function to forward multicast in RFC
5213, and I think because of this, most of the source code can't support
multicast.

---

From: Aaron Feng <[email-masked]>
Date: Fri, 27 May 2011 21:17:24 +0800

Hi Thomas,

I'll see it soon. Thank you!

---

From: Aaron Feng <[email-masked]>
Date: Fri, 27 May 2011 21:45:04 +0800

Hi Behcet,

Yeah, they are right. Most of the source code for RFC 5213 is not supposed
to support multicast service because the protocol indeed doesn't define
any mechanism for multicast forwarding. I'll see the two drafts carefully .

Best,
Aaron